Search found 1 match

by DragonKing
Tue Jan 22, 2019 5:41 pm
Forum: Tools & Patches
Topic: Spore ModAPI
Replies: 534
Views: 580290

Re: Spore ModAPI

Hi, I installed this SporeModAPI and it gave me the following: error report.png I have the steam version of spore, along with Creepy and Cute and Galactic Adventures, and it's set to automatically update to the newest version. Can someone help us figure out what's wrong and how to fix it? Thanks!

Go to advanced search